import React from "react";
import { Link } from "@components/Link";

export interface LinkOrContainerProps {
  children: React.ReactNode;
  href?: string;
  className?: string;
}

export const LinkOrContainer: React.FC<LinkOrContainerProps> = ({
  children,
  href,
  className,
}): React.ReactElement => {
  if (href) {
    return (
      <Link className={className} to={href}>
        {children}
      </Link>
    );
  }
  if (className) {
    return <div className={className}>{children}</div>;
  }

  return <>{children}</>;
};

