import * as React from "react";
import { RoomSpace, Room } from "@components/ElementList";

const ROOMS = [
  {
    target: "/",
    name: "[FCHH] Welcome!",
    tag: "#welcome:fabcity.hamburg",
    description:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
    image: {
      src: "https://picsum.photos/id/1005/200/300",
      alt: "something",
    },
    members: 123,
  },
  {
    target: "/",
    name: "[FCHH] Welcome!",
    tag: "#interfacer:fabcity.hamburg",
    description:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
    image: {
      src: "https://picsum.photos/id/1006/200/300",
      alt: "something",
    },
    members: 123,
  },
  {
    target: "/",
    name: "[FCHH] Welcome!",
    tag: "#verein:fabcity.hamburg",
    description:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
    image: {
      src: "https://picsum.photos/id/1075/200/300",
      alt: "something",
    },
    members: 123,
  },
];

const SPACE = {
  target: "/",
  name: "[FCHH] Welcome!",
  tag: "#welcome:fabcity.hamburg",
  description:
    "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ac  dante quis nisi porta lobortis vel ac ex. Nulla semper massa eros, vitae interdum dolor elementum eget. Proin dignissim volutpat diam. Donec sed nisi diam. Integer id dui at ligula lobortis viverra. Sed volutpat neque hendrerit accumsan efficitur. Pellentesque blandit, odio sed cursus bibendum, quam lacus fringilla lorem, nec maximus sapien mi non sapien.",
  image: {
    src: "https://picsum.photos/id/1009/200/300",
    alt: "something",
  },
  members: 123,
  rooms: ROOMS,
};

export const RoomSpaceStory = () => (
  <div className="container">
    <div className="w-full lg:w-2/3 py-3">
      <RoomSpace
        title="Entdecke unseren Space:"
        target={SPACE.target}
        name={SPACE.name}
        tag={SPACE.tag}
        description={SPACE.description}
        image={SPACE.image}
        members={SPACE.members}
      >
        {SPACE.rooms.map((room) => (
          <Room
            key={room.tag}
            target={room.target}
            name={room.name}
            tag={room.tag}
            description={room.description}
            image={room.image}
            members={room.members}
          />
        ))}
      </RoomSpace>
    </div>
  </div>
);

export default {
  title: "Molecules",
};

RoomSpaceStory.storyName = "Room Space";
